//! [RetroComponent](crate::base::RetroComponent)s implementing interactive gameplay functionality
//! with SDL2.

mod audio;
mod audio_ratecontrol;
mod canvas;
mod fps;
mod gamepad;
mod keyboard;
mod opengl;
mod surface;

pub use audio::SimpleSdl2AudioComponent;
pub use audio_ratecontrol::Sdl2RateControlledAudioComponent;
pub use canvas::SimpleSdl2CanvasComponent;
pub use fps::SimpleSdl2FramerateLimitComponent;
pub use gamepad::SimpleSdl2GamepadComponent;
pub use keyboard::SimpleSdl2KeyboardComponent;
pub use opengl::SimpleSdl2OpenglComponent;
pub use surface::Sdl2SurfaceComponent;
