use std::ffi::CStr;
use ferretro_base::retro::ffi::Message;
use crate::prelude::*;

/// Write's the core's "temporary" messages to stderr.
pub struct StderrMessageComponent {
    /// May be set to add a prefix to each logged line.
    pub prefix: String,
}

impl Default for StderrMessageComponent {
    fn default() -> Self {
        StderrMessageComponent {
            prefix: String::new(),
        }
    }
}

impl RetroComponent for StderrMessageComponent {}

impl RetroCallbacks for StderrMessageComponent {
    fn set_message(&mut self, message: &Message) -> Option<bool> {
        let cstr = unsafe { CStr::from_ptr(message.msg) };
        eprintln!("{}", cstr.to_string_lossy());
        Some(true)
    }
}
